Bug 1101583 - (CVE-2018-14351) VUL-1: CVE-2018-14351: mutt,neomutt: imap/command.c mishandles a long IMAP status mailbox literal count size.
(CVE-2018-14351)
VUL-1: CVE-2018-14351: mutt,neomutt: imap/command.c mishandles a long IMAP st...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/210782/
CVSSv3:RedHat:CVE-2018-14351:7.3:(AV:...
:
Depends on:
Blocks: 1101428
  Show dependency treegraph
 
Reported: 2018-07-18 07:35 UTC by Karol Babioch
Modified: 2019-05-09 10:11 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-07-18 07:35:29 UTC
CVE-2018-14351

An issue was discovered in Mutt before 1.10.1 and NeoMutt before 2018-07-16.
imap/command.c mishandles a long IMAP status mailbox literal count size.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-14351
https://github.com/neomutt/neomutt/commit/3c49c44be9b459d9c616bcaef6eb5d51298c1741
https://gitlab.com/muttmua/mutt/commit/e57a8602b45f58edf7b3ffb61bb17525d75dfcb1
Comment 1 Dr. Werner Fink 2018-07-18 07:47:05 UTC
Can we please merge this as duplicate of bsc#1101428
Comment 3 Swamp Workflow Management 2018-07-18 08:50:53 UTC
This is an autogenerated message for OBS integration:
This bug (1101583) was mentioned in
https://build.opensuse.org/request/show/623577 Factory / mutt
Comment 7 Karol Babioch 2018-07-19 07:25:26 UTC
After a some analysis only the following codestreams seem to be affected:

- SUSE:SLE-12:Update
- SUSE:SLE-15:Update

These codestreams do not contain the vulnerable code:

- SUSE:SLE-10-SP3:Update
- SUSE:SLE-11:Update
Comment 10 Swamp Workflow Management 2018-07-27 16:48:10 UTC
SUSE-SU-2018:2085-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    mutt-1.10.1-3.3.4
Comment 11 Swamp Workflow Management 2018-08-06 13:15:55 UTC
openSUSE-SU-2018:2212-1: An update that solves 16 vulnerabilities and has one errata is now available.

Category: security (important)
Bug References: 1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 15.0 (src):    mutt-1.10.1-lp150.2.3.1
Comment 12 Swamp Workflow Management 2019-01-07 15:41:29 UTC
This is an autogenerated message for OBS integration:
This bug (1101583) was mentioned in
https://build.opensuse.org/request/show/663361 42.3 / mutt
Comment 13 Swamp Workflow Management 2019-01-17 17:13:06 UTC
openSUSE-SU-2019:0052-1: An update that solves 16 vulnerabilities and has 6 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,1120935,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
openSUSE Leap 42.3 (src):    mutt-1.10.1-2.5.1
Comment 14 Marcus Meissner 2019-01-18 14:23:55 UTC
released
Comment 15 Swamp Workflow Management 2019-05-09 10:11:02 UTC
SUSE-SU-2019:1196-1: An update that solves 16 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 1061343,1094717,1101428,1101566,1101567,1101568,1101569,1101570,1101571,1101573,1101576,1101577,1101578,1101581,1101582,1101583,1101588,1101589,980830,982129,986534
CVE References: CVE-2014-9116,CVE-2018-14349,CVE-2018-14350,CVE-2018-14351,CVE-2018-14352,CVE-2018-14353,CVE-2018-14354,CVE-2018-14355,CVE-2018-14356,CVE-2018-14357,CVE-2018-14358,CVE-2018-14359,CVE-2018-14360,CVE-2018-14361,CVE-2018-14362,CVE-2018-14363
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    mutt-1.10.1-55.6.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    mutt-1.10.1-55.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.